DOOMSDAY(6)

NAME
doomsday - Doomsday Engine - For Doom/Heretic/Hexen

SYNOPSIS

doomsday [OPTIONS] [GAME] [WADS]

DESCRIPTION

This manual page documents briefly the doomsday command

This manual page was written for the Debian(tm)/GNU and Ubuntu(tm) distributions because the original program does not have a manual page. Instead, it has documentation in plain text format

doomsday is an enhanced Doom(tm)/Heretic(tm)/Hexen(tm) engine, capable of running Doom 1, Doom 2, Evilution, Plutonia, Heretic, Hexen and Hexen: Deathkings. It currently CAN NOT run Freedoom, and does not support Boom features.

doomsday supports high-resolution textures and 3D models. Currently many of these can be found at http://eyagi.bpa.nu/~jamie/doomsday.html

These programs follow the Windows(tm) command line syntax. A summary of options is included below. For a complete description, see the text files and http://www.doomsdayhq.com.

OPTIONS

-dedicated
    Run in dedicated server mode. No graphics or sounds will be initialized. The game will run in a text mode console.

-bpp
    Specify the color depth to use. Defaults to desktop color depth. E.g. "-bpp 32"

-wnd
    Start the game in a window. By default the game runs in fullscreen mode.

-paltex
    Use paletted textures (if supported by the hardware).

-playdemo
    After initialization loads the given demo file (which resides in the Demo subdirectory), plays it and then quits.

-timedemo
    After initialization loads the given demo file (which resides in the Demo subdirectory), plays it in singletics mode (i.e. as fast as possible), displays frame count information and quits.

-nosound
    Don't initialize sound or music.

-nomouse
    Don't initialize mouse.

-texdir
    Loads all high-resolution (PNG,TGA,PCX) textures from the given directory. Defaults to "Data\<Game>\Textures".

-texdir2
    Secondary high-resolution (PNG,TGA,PCX) texture directory. Defaults to "". This directory is checked first, so it can be used to override textures in the normal texture directory (-texdir).

-userdir
    Sets the working directory. By default the engine uses the current working directory (the one in which it was started). On Debian/GNU and Ubuntu systems doomsday is run in a shell wrapper that sets -userdir to $HOME/.deng automatically.

-verbose
    Be more verbose with console messages.

-texcomp
    Use texture compression (if supported by the OpenGL driver).

-deh
    Applies the Dehacked patch. You can give more than one as arguments, e.g. "-deh first.deh second.deh".

-alldehs
    Allows the processing of more than one DEHACKED lump. Otherwise only the DEHACKED lump that has been loaded last is processed. Does not affect the -deh option.

GAME

-game
    Specifies the game to use (required). This must be one of either jdoom, jheretic or jhexen eg "-game jdoom"

WADS

-file
    Specifies the wad file to use (required). You can give more than one WAD file as the parameter eg "-file /user/share/games/deng/Data/jDoom/doom2.wad"

EXAMPLES

"/usr/games/doomsday -anifilter -texcomp -game jdoom -file /user/share/games/deng/Data/jDoom/doom2.wad"

AUTHOR

This manual page was written by Jamie Jones <jamie_jones_au@yahoo.com.au> for the Debian/GNU and Ubuntu systems (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

AUTHOR
Jamie Jones.